from Crypto.Util.number import getStrongPrime, bytes_to_long
from math import gcd

flag = """
+>-<+>-<+>-<+>-<+>-<+>-<+>-<+>-<+>-<+>-<+
|    FLAG{?????????????????????????}    |
+>-<+>-<+>-<+>-<+>-<+>-<+>-<+>-<+>-<+>-<+
"""
assert len(flag)==127

e = 3
while True:
  p = getStrongPrime(512)
  q = getStrongPrime(512)
  if gcd((p-1)*(q-1), e)==1:
    break
N = p*q
d = pow(e, -1, (p-1)*(q-1))

m = bytes_to_long(flag.encode())
c = pow(m, e, N)
assert pow(c, d, N)==m

print(f"{N=}")
print(f"{e=}")
print(f"{c=}")
